Flutter: Could not build the precompiled application for the device.

プログラミング
スポンサーリンク




スポンサーリンク

エラー内容

Flutterでアプリを作成し、iOSの実機で動かそうとしたところ、下記のようなエラーが出ました。

Could not build the precompiled application for the device.

It appears that your application still contains the default signing identifier.
Try replacing 'com.example' with your signing id in Xcode:
open ios/Runner.xcworkspace

 

 

対処方法

ターミナルでプロジェクトのルートへ移動します。

$cd /Users/[user_name]/AndroidStudioProjects/[project_name]

 

xcodeでプロジェクトを起動します。

open ios/Runner.xcworkspace

 

「Runner」→「Signing & Capabilities」→「Team」を選択し、NoneNoneと設定されているところを開発者名に変更します。

 

開発者が登録されていない場合は、「Add An Account…」を選択してアカウントを登録しましょう。

 

 

コメント

タイトルとURLをコピーしました